> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Self Serve Delete Auto Approval Threshold By Currency

> Deletes the org's per-currency auto-approval threshold; USD also clears the legacy org threshold.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/self-serve-delete-auto-approval-threshold-by-currency
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/self-serve-delete-auto-approval-threshold-by-currency:
    post:
      operationId: selfServeDeleteAutoApprovalThresholdByCurrency
      summary: Self Serve Delete Auto Approval Threshold By Currency
      description: >-
        Deletes the org's per-currency auto-approval threshold; USD also clears
        the legacy org threshold.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/SelfServeDeleteAutoApprovalThresholdByCurrencyRequest
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SelfServeDeleteAutoApprovalThresholdByCurrencyResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    SelfServeDeleteAutoApprovalThresholdByCurrencyRequest:
      type: object
      properties:
        currencyCode:
          type: string
          minLength: 3
      required:
        - currencyCode
    SelfServeDeleteAutoApprovalThresholdByCurrencyResponse:
      type: object
      properties: {}
      description: Request regeneration does not infer response shapes.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
